﻿
using inutralia.ViewModels;
using System;
using Xamarin.Forms;


namespace inutralia.Views.NutriQuestion
{
    public partial class DetailsNutriQuestionListView : ContentPage
    {
       protected DetailsNutriQuestionListViewModel ViewModel => BindingContext as DetailsNutriQuestionListViewModel;


        public DetailsNutriQuestionListView()
        {

            InitializeComponent();

        }
   
        protected override async void OnAppearing()
        {
            base.OnAppearing();
            await ViewModel.RefreshData();

        }

        async void OnSendButtonClicked(object sender, EventArgs e)
        {
            try
            {
                var messageValue = messageEntry.Text;
                if (messageValue == null)
                {
                    await DisplayAlert("Fallo", "No se puede enviar un mensaje en blanco, campo obligatorio", "Entendido");

                }
                else
                {
                    await ViewModel.saveData(messageValue);

                    await DisplayAlert("Exito", "El mensaje se ha enviado correctamente.", "Entendido");

                    (App.Current.MainPage as RootPage).Navigate<HomeView>();
                }
            }

            catch (Exception)
            {
                await DisplayAlert("Error", "Se ha producido un error. Por favor, intentelo más tarde", "Entendido");
            }
        }

       
    }
}
